Subject: bug#29230: 26.0.90; Incorrect position and size of frames after restoring from desktop

From: Vincent Zhang <[email-masked]>
Date: Fri, 10 Nov 2017 15:15:04 +0000

Tonight I had some time to dig out the root cause. It seems the issue is caused by https://github.com/tumashu/cnfonts. There are some compatibility issue for Emacs26 :( I will report there then. Thanks for your time.

Best Regards,
Vincent Zhang

On 10 Nov 2017, at 6:02 PM, Vincent Zhang <[email-masked]<mailto:[email-masked]>> wrote:

Thanks for the reply.

Steps:
1. Start GNU Emacs 26.0.90 normally on macOS 10.13.1 or Windows 10.
My configuration is on https://github.com/seagle0128/.emacs.d
2. Maximize the frame, and open some files.
3. Close and restart the Emacs.

Results:
The frame is not maximized, and leave let top position with default size.

PS: If I use `Emacs -Q` and only enable `desktop-save-mode`, it works well.
Not sure which configuration is incompatible with Emacs26, since there is no issue in 24.5 and 25.3.1.

________________________________
From: Eli Zaretskii <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, November 9, 2017 8:12 PM
To: Vincent Zhang
Cc: [email-masked]<mailto:[email-masked]>
Subject: Re: bug#29230: 26.0.90; Incorrect position and size of frames after restoring from desktop

> From: Vincent Zhang <[email-masked]<mailto:[email-masked]>>
> Date: Thu, 9 Nov 2017 17:37:01 +0000
>
> After 'desktop-save', restart emacs. The position and size of frames are
> incorrect.
> No issue on Emacs 25.3.

Thanks, but please provide details about the problem: the sizes and
positions before shutting down Emacs, and what you got after
restarting.  Also, do you have in your init files any settings for
size and/or position of the frame(s)?  And finally, do you start Emacs
as daemon or normally?